// Smooth scrolling for anchor links
document.querySelectorAll('a[href^="#"]').forEach(anchor => {
  anchor.addEventListener('click', function (e) {
    e.preventDefault();
    document.querySelector(this.getAttribute('href')).scrollIntoView({
      behavior: 'smooth'
    });
  });
});

// Lazy loading for images
document.addEventListener('DOMContentLoaded', function() {
  let lazyImages = document.querySelectorAll('.gallery img');
  let lazyLoad = function() {
    lazyImages.forEach(img => {
      if (img.getBoundingClientRect().top <= window.innerHeight && img.getBoundingClientRect().bottom >= 0 && getComputedStyle(img).display !== 'none') {
        img.src = img.dataset.src;
        img.classList.remove('lazy');
      }
    });
  };
  lazyLoad();
  window.addEventListener('scroll', lazyLoad);
  window.addEventListener('resize', lazyLoad);
  window.addEventListener('orientationchange', lazyLoad);
});